webkit-0.12.6.1: Binding to the Webkit library.

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.WebKit.WebPolicyDecision

Contents

- Desciption
- Types
- Methods

Description

Access to the WebKit PolicyDecision

Synopsis

- data WebPolicyDecision
- class GObjectClass o => WebPolicyDecisionClass o
- webPolicyDecisionDownload :: WebPolicyDecisionClass self => self -> IO ()
- webPolicyDecisionIgnore :: WebPolicyDecisionClass self => self -> IO ()
- webPolicyDecisionUse :: WebPolicyDecisionClass self => self -> IO ()

# Desciption

`WebPolicyDecision` objects are given to the application on signal emissions that deal with policy decisions, such as if a new window should be opened, or if a given navigation should be allowed. The application uses it to tell the engine what to do.

# Types

data WebPolicyDecision

Instances

Eq WebPolicyDecision |
Ord WebPolicyDecision |
GObjectClass WebPolicyDecision |
WebPolicyDecisionClass WebPolicyDecision |

class GObjectClass o => WebPolicyDecisionClass o

Instances

WebPolicyDecisionClass WebPolicyDecision |

# Methods

webPolicyDecisionDownload :: WebPolicyDecisionClass self => self -> IO ()

Will send the DOWNLOAD decision to the policy implementer.

webPolicyDecisionIgnore :: WebPolicyDecisionClass self => self -> IO ()

Will send the IGNORE decision to the policy implementer.

webPolicyDecisionUse :: WebPolicyDecisionClass self => self -> IO ()

Will send the USE decision to the policy implementer.